module Logging.Types.Manager ( Manager(..) ) where

import           Data.Map.Lazy      (Map)

import           Logging.Types.Sink


-- |There is __under normal circumstances__ just one Manager,
-- which holds the hierarchy of sinks.
data Manager = Manager { root                   :: Sink
                       , sinks                  :: Map String Sink
                       , disabled               :: Bool
                       , catchUncaughtException :: Bool
                       }
